/**
 * Copyright 2017 Confluent Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 **/

package io.confluent.ksql.parser.tree;

import java.util.List;
import java.util.Map;
import java.util.Optional;

public abstract class AbstractStreamCreateStatement extends Statement {
  public AbstractStreamCreateStatement(Optional<NodeLocation> location) {
    super(location);
  }

  public abstract Map<String,Expression> getProperties();

  public abstract QualifiedName getName();

  public abstract List<TableElement> getElements();

  public abstract AbstractStreamCreateStatement copyWith(List<TableElement> elements, Map<String,
      Expression> properties);
}
